<?

          if(!isset($_GET['p']))exit;
          
          $p=max(0,min(100,intval($_GET['p'])));


          $k=max(0,intval(@$_GET['k']));
          $a=max(0,intval(@$_GET['a']));

          $x=128;
          $y=15;

          $x2=@intval($x/(100/$p));

  
          $img=imagecreate($x,$y);


          $col['back']=imagecolorallocate($img, 235,239,242);
          
          $col['draw']=imagecolorallocate($img, 181,212,242);
          
          $col['font']=imagecolorallocate($img, 29,43,68);

          $col['border']=imagecolorallocate($img, 90,134,177);

          imagefill($img, $x, $y, $col['back']);

          imagefilledrectangle($img, 0, 0, $x2, $y, $col['draw']);

          imagerectangle($img, 0, 0, $x-1, $y-1, $col['border']);

          imagettftext ($img, 7, 0, $x/10, $y-4, $col['font'], '../../fonts/tahoma.ttf', "$p% - $k из $a голосов");





          header("Content-type: image/png");
          imagepng($img);

?>
